
Katello - Bug #7097

Error when running librarian-update

08/14/2014 05:35 PM - Walden Raines

Status: Resolved   

Priority: Normal   

Assignee: Ivan Necas   

Category: Installer   

Target version: Katello Recycle Bin   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[walden@centos katello-installer]$ rel-eng/librarian-update                                 

-bash: rel-eng/librarian-update: /usr/bin/bash: bad interpreter: No such file or directory  

[walden@centos katello-installer]$ ll /usr/bin/bash

ls: cannot access /usr/bin/bash: No such file or directory

[walden@centos katello-installer]$ which bash

/bin/bash

[walden@centos katello-installer]$ grep bash rel-eng/librarian-update 

#!/usr/bin/bash -ex

 Generally I see people use  #!/bin/bash instead of #!/usr/bin/bash -ex.

Steps to Reproduce:

1. Follow these https://github.com/Katello/katello-installer#updating-packages on any non fedora/rhel system

History

#1 - 08/15/2014 02:19 PM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 12/21/2015 03:28 PM - Eric Helms

- Status changed from New to Resolved

#3 - 07/08/2016 11:11 AM - Eric Helms

- translation missing: en.field_release set to 166
